#!/bin/bash

make clean

# Build a LLVM bitcode file "openspin"
emmake make

# Make that bit code file because emscripten is fussy about names.
cp openspin openspin.bc

# Compile the bit code to Javascript with an HTML wrapper
#emcc -s TOTAL_MEMORY=67108864  -o openspin.html --pre-js openspin-pre.js --post-js openspin-post.js openspin.bc 
emcc -s TOTAL_MEMORY=33554432 -s ALLOW_MEMORY_GROWTH=1 -o openspin.html --pre-js openspin-pre.js --post-js openspin-post.js openspin.bc 


 
